You are here: Home » Topic » I can’t install Firefly on Maxtor Shared Storrage II

I can’t install Firefly on Maxtor Shared Storrage II

FireFly Media Server (formerly mt-daapd) Firefly Media Server Forums Firefly Media Server Setup Issues I can’t install Firefly on Maxtor Shared Storrage II

Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #1635
    loader
    Participant

    hey everybody,

    I have a Maxtor Harddrive.
    On it i would like install Firefly MediaServer.
    I have already installed a telnet formware and twonky, but I would like try also Firefly.
    I dont have the Soundbridge Roku, but I would like buy it.

    The problem begins…I dont know which file I must download from the Nightfly (http://nightlies.mt-daapd.org).

    I hope you can help me to install Firefly on my Maxtor.
    If you need more informations, tell it me.

    edit:
    i have found this wiki site (http://wiki.fireflymediaserver.org/MSS_Installation)
    but at these time I’m failt on the ipkg command.
    My Hard Drive dont know it.
    Must I installing IPKG (not the package ipg) is IPKG a programm which I can download and installing at my Maxtor?
    a

    Best Regards from Germany,
    loader

    #12092
    rpedde
    Participant

    @loader wrote:

    hey everybody,

    I have a Maxtor Harddrive.
    On it i would like install Firefly MediaServer.
    I have already installed a telnet formware and twonky, but I would like try also Firefly.
    I dont have the Soundbridge Roku, but I would like buy it.

    The problem begins…I dont know which file I must download from the Nightfly (http://nightlies.mt-daapd.org).

    I hope you can help me to install Firefly on my Maxtor.
    If you need more informations, tell it me.

    edit:
    i have found this wiki site (http://wiki.fireflymediaserver.org/MSS_Installation)
    but at these time I’m failt on the ipkg command.
    My Hard Drive dont know it.
    Must I installing IPKG (not the package ipg) is IPKG a programm which I can download and installing at my Maxtor?
    a

    Best Regards from Germany,
    loader

    Yes, ipkg is a program. You’ll have to install a firmware that supports ipkg, like OpenMSS: http://www.openmss.org/Development/Optware

    This requires that you have a regular MSS, though… I think there are different kinds of MSS hardware, and you’ll have to find the firmware that matches your hardware type.

    Check the OpenMSS site, and it will probably have the info you need.

    — Ron

    #12093
    loader
    Participant

    mhmm I have looked around before at the openMSS Board, but someone has tell me that isnt possible with openmss and the MSSII Harddrive.
    (http://www.openmss.org/forum/viewtopic.php?f=10&t=804)
    Are there until another possibility to become IPKG (Bootstrap) on my MSSII?
    I have tried to install bootstrap on my MSSII but there are few failes. And it isnt done to say ipkg, my MSSII further dont know that.
    http://www.nslu2-linux.org/wiki/DS101/DS101BootStrap
    Can you there help me to install bootstrap.
    Or are there another possibility to install firefly without a IPKG?

    Best Regards,
    Loader

    #12094
    rpedde
    Participant

    @loader wrote:

    mhmm I have looked around before at the openMSS Board, but someone has tell me that isnt possible with openmss and the MSSII Harddrive.
    (http://www.openmss.org/forum/viewtopic.php?f=10&t=804)
    Are there until another possibility to become IPKG (Bootstrap) on my MSSII?
    I have tried to install bootstrap on my MSSII but there are few failes. And it isnt done to say ipkg, my MSSII further dont know that.
    http://www.nslu2-linux.org/wiki/DS101/DS101BootStrap
    Can you there help me to install bootstrap.
    Or are there another possibility to install firefly without a IPKG?

    Best Regards,
    Loader

    It probably can be installed without ipkg, but there are lots of dependent libraries and it’s hard to cross-compile.

    It’s *far* easier to get unslung up on the machine and use unslung packages, because they have already been modified to compile and are all packaged up.

    I’m sure you can find instructions on the openmss site for how to get a build chain working for the mss, and build from those instructions, but it won’t be short work.

    — Ron

    #12095
    loader
    Participant

    hmm but unslung is programmed for the Linksys.
    Are there together compatible, the MSSII and Unslung?
    Is there no way to install Bootstrap(IPKG) on the MSSII to use Firefly?

    Okay I going again to openmss and looking there for instructions for my MSSII.

    #12096
    rpedde
    Participant

    @loader wrote:

    hmm but unslung is programmed for the Linksys.
    Are there together compatible, the MSSII and Unslung?
    Is there no way to install Bootstrap(IPKG) on the MSSII to use Firefly?

    Okay I going again to openmss and looking there for instructions for my MSSII.

    Sorry, I say unslung, but I mean optware.. that is, the unslung packages are compiled for a dozen or so different architectures, so if one can get a bootstart with ipkg and a startup hook, then one can usually get the optware packages to install and run.

    The benefits from just getting ipkg to run on the box is that suddenly you have access to thousands of different packages.

    #12097
    furneach
    Participant

    Hi Loader,

    Did you make any progress on this? I’ve just made a duplicate post (apologies) as I have similar issues.

Viewing 7 posts - 1 through 7 (of 7 total)
  • The forum ‘Setup Issues’ is closed to new topics and replies.